=== debian/control ===
Source: kdelibs-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 5.0.31), quilt, autotools-dev,
 binutils (>= 2.14.90.0.7), docbook-to-man, gawk, gettext,
 libart-2.0-dev (>= 2.3.17), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4),
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 sharutils, texinfo, libogg-dev, libtqtinterface-dev,
 gettext-kde, lsb-release, base-files, sudo,
 cmake, libltdl-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: kdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:3.5.13)
Breaks: kdelibs-kde3 (<< 4:3.5.13)
Provides: kdelibs
Conflicts: kdelibs
Depends: kdelibs4c2a-trinity (>= ${Source-Version}),
 kdelibs-data-trinity (>= ${Source-Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: kdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:3.5.13)
Breaks: kdelibs-data-kde3 (<< 4:3.5.13)
Depends: hicolor-icon-theme
Provides: kdelibs-data
Conflicts: kdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4c2a-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:3.5.13)
Breaks: kdelibs4c2a-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, kdelibs-data-trinity,
 kdelibs-data-trinity, perl, xbase-clients, sudo
Recommends: xdg-user-dirs
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in kdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:3.5.13)
Breaks: kdelibs4-kde3-dev (<< 4:3.5.13)
Depends: kdelibs4c2a-trinity (= ${Source-Version}), libart-2.0-dev (>= 2.3.17),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev, liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libtqtinterface-dev,
 gettext-kde
Provides: kdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:3.5.13)
Breaks: kdelibs4-kde3-doc (<< 4:3.5.13)
Provides: kdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:3.5.13)
Breaks: kdelibs-kde3-dbg (<< 4:3.5.13)
Priority: extra
Conflicts: kdelibs4-trinity-dbg, kdelibs4c2-trinity-dbg, kdelibs4c2a-trinity-dbg
Depends: kdelibs4c2a-trinity (= ${Source-Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for kdelibs
 This package contains the debugging symbols associated with kdelibs.
 They will automatically be used by gdb for debugging kdelibs-related
 issues.
